# Додаток Notepad++ для NVDA #

Цей додаток поліпшує доступність Notepad++. Notepad++ — це текстовий редактор для Windows, який має низку можливостей. Ви можете дізнатися більше про нього  на <https://notepad-plus-plus.org/>
Оригінальний додаток написав Derek Riemer і Tuukka Ojala. Пізніше він отримав можливості, які додали Robert Hänggi і Andre9642.

## Можливості:

### Підтримка закладок

Notepad++ дозволяє встановлювати закладки у ваш текст.
Закладка дозволяє вам швидко повертатися
до певного розташування в редакторі з будь-якого місця.
Щоб встановити закладку, у рядку, який ви хочете закласти, натисніть control+f2.
Потім, коли ви захочете повернутись до цієї
закладки, натисніть f2 для переходу до
наступної закладки, чи shift+f2 для переходу до попередньої.
Ви можете встановити стільки закладок, скільки забажаєте.

### Оголошення максимальної довжини рядка

Notepad++ має лінійку, яка використовується для
перевірки довжини рядка. Однак ця функція
недоступна для незрячих користувачів, тому
цей додаток має звуковий індикатор, який
подає звуковий сигнал, коли користувач
досягає максимальної довжини рядка.
Для увімкнення цієї функції, спершу
запустіть Notepad++, потім увійдіть до меню NVDA і
оберіть категорію Notepad++ у меню налаштувань.
Позначте прапорець «Увімкнути індикатор
довжини рядка» і змініть за потреби
максимальну кількість символів.
Коли цю функцію ввімкнено, ви почуєте
звуковий сигнал під час прокручування
надто довгих рядків або досягнення символів,
які перевищують максимальну довжину. Як
варіант, ви можете натиснути NVDA+g, щоб перейти до першого
символа переповнення в активному рядку.

### Перехід до відповідної дужки

У Notepad++ можна перейти до відповідної дужки
програми, натиснувши control+b. Для переміщення
ви повинні перебувати на один символ
усередині дужки, яку ви хочете порівняти.
Коли ви натиснете цю команду, NVDA прочитає
рядок, на який ви перейшли, а якщо рядок
складається лише з дужки, вона прочитає
рядок під і над дужкою, щоб ви могли відчути
контекст.

### Автозавершення

Функціонал автозавершення у Notepad++
початково недоступний. Автозавершення має
низку проблем, серед яких — його показ у
плаваючому вікні. Щоб зробити цей
функціонал доступним, потрібно зробити три
речі.

1. Коли з'являється пропозиція
автозавершення, пролунає свист. Зворотний
звук звучить, коли пропозиції зникають.
2. Натисніть стрілку вниз або вгору, щоб
прочитати наступний/попередній
запропонований текст.
3. Пропонований текст промовляється у міру появи.

Зауважте: весь текст також показується
шрифтом Брайля, якщо підключено
брайлівський дисплей. Ця функція
експериментальна, не соромтеся повідомити,
якщо у вас з нею виникають проблеми.

### Покроковий пошук

Однією з найцікавіших особливостей Notepad++ є
можливість використання покрокового пошуку.
Покроковий пошук — це режим пошуку, у якому
ви шукаєте текстову фразу, вводячи її в поле
редагування, а документ прокручується, щоб
показати результат пошуку в реальному часі.
Під час введення документ прокручується,
щоб показати рядок тексту з найвірогіднішою
фразою, яку ви шукаєте. Він також підкреслює відповідний текст.
Програма також показує, скільки збігів було
виявлено. Є кнопки для переходу до наступного та попереднього збігу.
Під час введення NVDA оголошуватиме рядок
тексту, у якому Notepad++ виявив результат
пошуку. NVDA також повідомлятиме про
кількість збігів, але лише якщо кількість збігів змінилася.
Коли ви знайдете потрібний рядок тексту,
просто натисніть клавішу escape, і цей рядок тексту буде під вашим курсором.
Щоб запустити цей діалог, виберіть
покроковий пошук у меню пошуку або натисніть alt+control+i.

### Повідомлення інформації про поточний рядок

Якщо натиснути nvda+shift+\ (зворотну похилу
риску) в будь-який момент, з’явиться
повідомлення про таке:

* номер рядка
* номер колонки, тобто наскільки ви зайшли в лінію.
* розмір виділення (кількість символів,
виділених по горизонталі, а потім кількість
символів, виділених по вертикалі, що
утворює прямокутник). Ця інформація повідомляється лише у разі необхідності.

### Підтримка функції попереднього/наступного пошуку

Початково, якщо натиснути Control+f, відкриється діалог пошуку.
Якщо тут ввести текст і натиснути Enter, текст
у вікні буде виділено, а документ буде
переміщено до наступного результату пошуку.
У Notepad++ ви можете натиснути f3 або shift+f3, щоб
повторити пошук у прямому або зворотному напрямку відповідно.
NVDA прочитає як поточний рядок, так і
виділення в рядку, що представляє знайдений текст.

## Нестандартні комбінації клавіш Notepad++

У цьому додатку очікується, що Notepad++
використовується зі стандартними комбінаціями клавіш.
Якщо це не так, будь ласка, змініть
клавіатурні команди цього додатка, щоб
вони відображали ваші команди Notepad++, якщо
це необхідно, у діалоговому вікні жестів вводу NVDA.
Усі команди додатка розташовані в розділі Notepad++.